﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;

namespace MockLinq.Tests
{
    [TestFixture]
    public class RssProcessorTests
    {
        //Refactor URL
        //[Test]
        //public void GetRssChannel_StandardRss_ReturnDataRssChannel()
        //{
        //    RssProcessor rss = new RssProcessor();
        //    RssChannel chan = rss.GetRssChannel(TestHelper.url);
        //    Assert.AreEqual(TestHelper.url, chan.Url);
        //    Assert.Contains(chan.Title, "BBC");
        //}

        //[Test]
        //public void GetRssItem_RssFeed_ReturnsASingleRSSItem()
        //{
        //    RssProcessor rss = new RssProcessor();
        //    RssItem item = rss.GetRssItem(TestHelper.url, 1);
        //    Assert.IsNotNull(item);
        //    Assert.IsNotNull(item.Title);
        //}

        //[Test]
        //public void GetRssItem_TwoFeeds_TitlesAreDifferent()
        //{
        //    RssProcessor rss = new RssProcessor();
        //    RssItem item = rss.GetRssItem(TestHelper.url, 1);
        //    Assert.IsNotNull(item);
        //    Assert.IsNotNull(item.Title);

        //    RssItem item2 = rss.GetRssItem(TestHelper.url, 2);
        //    Assert.IsNotNull(item2);
        //    Assert.IsNotNull(item2.Title);

        //    Assert.AreNotEqual(item.Title, item2.Title);
        //}
        
        //--------------------------

        //Refactor to TestSetup Method
        //[Test]
        //public void GetRssChannel_StandardRss_ReturnDataRssChannel()
        //{
        //    RssProcessor rss = new RssProcessor(TestHelper.url);
        //    RssChannel chan = rss.GetRssChannel();
        //    Assert.AreEqual(TestHelper.url, chan.Url);
        //    Assert.Contains(chan.Title, "BBC");
        //}

        //[Test]
        //public void GetRssItem_RssFeed_ReturnsASingleRSSItem()
        //{
        //    RssProcessor rss = new RssProcessor(TestHelper.url);
        //    RssItem item = rss.GetRssItem(1);
        //    Assert.IsNotNull(item);
        //    Assert.IsNotNull(item.Title);
        //}

        //[Test]
        //public void GetRssItem_TwoFeeds_TitlesAreDifferent()
        //{
        //    RssProcessor rss = new RssProcessor(TestHelper.url);
        //    RssItem item = rss.GetRssItem(1);
        //    Assert.IsNotNull(item);
        //    Assert.IsNotNull(item.Title);

        //    RssItem item2 = rss.GetRssItem(2);
        //    Assert.IsNotNull(item2);
        //    Assert.IsNotNull(item2.Title);

        //    Assert.AreNotEqual(item.Title, item2.Title);
        //}

        RssProcessor m_Rss = null;

        [SetUp]
        public void TestSetup()
        {
            m_Rss = new RssProcessor();
            m_Rss.FeedGetter = new StubFeedGetter();
            m_Rss.LoadFeed(TestHelper.url);
        }

        [TearDown]
        public void Teardown()
        {
            m_Rss = null;
        }

        [Test]
        public void GetRssChannel_StandardRss_ReturnDataRssChannel()
        {
            RssChannel chan = m_Rss.GetRssChannel();
            Assert.AreEqual(TestHelper.url, chan.Url);
            Assert.Contains(chan.Title, "BBC");
        }

        [Test]
        public void GetRssItem_RssFeed_ReturnsASingleRSSItem()
        {
            RssItem item = m_Rss.GetRssItem(1);
            Assert.IsNotNull(item);
            Assert.IsNotNull(item.Title);
        }

        [Test]
        public void GetRssItem_TwoFeeds_TitlesAreDifferent()
        {
            RssItem item = m_Rss.GetRssItem(1);
            Assert.IsNotNull(item);
            Assert.IsNotNull(item.Title);

            RssItem item2 = m_Rss.GetRssItem(2);
            Assert.IsNotNull(item2);
            Assert.IsNotNull(item2.Title);

            Assert.AreNotEqual(item.Title, item2.Title);
        }

        [Test]
        public void GetRssItems_EntireFeed_Returns10RssItems()
        {
            List<RssItem> rssItems = m_Rss.GetRssItems(10);
            Assert.AreEqual(10, rssItems.Count);
        }

        [Test]
        public void GetRssItems_EntireFeed_ReturnsRssItems()
        {
            List<RssItem> rssItems = m_Rss.GetRssItems();
            Assert.IsNotNull(rssItems);
        }


        //Design notes - all the methods where calling XDocument feed = LoadFeed();. 
        //Need to change this. Called method in Setup()
        [Test]
        public void GetRssFeed_EntireFeed_ReturnsChannelAndItems()
        {
            RssFeed feed = m_Rss.GetFeed();
            Assert.IsNotNull(feed.Channel);
            Assert.Contains(feed.Channel.Title, "BBC");
            Assert.GreaterThan(feed.Items.Count,0);
        }

        public void PrintOutRss()
        {
            RssProcessor rss = new RssProcessor();
            rss.LoadFeed(TestHelper.url);

            RssFeed feed = rss.GetFeed();
            Console.WriteLine(feed.Channel.Title);
            Console.WriteLine(feed.Channel.Url);

            foreach (var item in feed.Items)
            {
                Console.WriteLine(item.Title);
            }
        }
    }
}
