﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;
using System.Xml;

namespace MockLinq.Tests
{
    public class StubFeedGetter : IFeedGetter
    {
        public System.Xml.Linq.XDocument GetXDocument(string url)
        {
            return XDocument.Load(System.Xml.XmlReader.Create(new System.IO.StringReader(GetFakeXml())));
        }

        public string GetFakeXml()
        {
            StringBuilder fakeXml = new StringBuilder(20084);
            fakeXml.AppendFormat(@"<?xml version=""1.0"" encoding=""UTF-8""?>
<?xml-stylesheet title=""XSL_formatting"" ");
            fakeXml.AppendFormat(@"type=""text/xsl"" href=""/shared/bsp/xsl/rss/nolsol.xsl""?>

<rss ");
            fakeXml.AppendFormat(@"xmlns:media=""http://search.yahoo.com/mrss/"" version=""2.0"">
  <channel> 
    <title>BBC News | ");
            fakeXml.AppendFormat(@"News Front Page | UK Edition</title>  
    ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/default.stm</link>  
    <description>Visit BBC News for ");
            fakeXml.AppendFormat(@"up-to-the-minute news, breaking news, video, audio and feature stories. BBC News provides trusted ");
            fakeXml.AppendFormat(@"World and UK news as well as local and regional perspectives. Also entertainment, business, ");
            fakeXml.AppendFormat(@"science, technology and health news.</description>  
    <language>en-gb</language>  
    ");
            fakeXml.AppendFormat(@"<lastBuildDate>Tue, 13 Nov 2007 23:16:49 GMT</lastBuildDate>  
    <copyright>Copyright: (C) ");
            fakeXml.AppendFormat(@"British Broadcasting Corporation, see http://news.bbc.co.uk/1/hi/help/rss/4498287.stm for terms and ");
            fakeXml.AppendFormat(@"conditions of reuse</copyright>  
    <docs>http://www.bbc.co.uk/syndication/</docs>  
    ");
            fakeXml.AppendFormat(@"<ttl>15</ttl>  
    <image> 
      <title>BBC News</title>  
      ");
            fakeXml.AppendFormat(@"<url>http://news.bbc.co.uk/nol/shared/img/bbc_news_120x60.gif</url>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/default.stm</link> 
    </image>  
    <item> 
      ");
            fakeXml.AppendFormat(@"<title>Suffolk bird flu is H5N1 strain</title>  
      <description>The bird flu virus found at a ");
            fakeXml.AppendFormat(@"turkey farm in Suffolk is the deadly H5N1 strain, government vets confirm.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/uk/7092988.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/uk/7092988.stm</guid>  
      <pubDate>Tue, 13 Nov ");
            fakeXml.AppendFormat(@"2007 17:21:45 GMT</pubDate>  
      <category>UK</category>  
      <media:thumbnail width=""66"" ");
            fakeXml.AppendFormat(@"height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44236000/jpg/_44236762_birdfluwhitemen_pa6649.jpg""/> 
 ");
            fakeXml.AppendFormat(@"   </item>  
    <item> 
      <title>Fury over migrants' treatment</title>  
      ");
            fakeXml.AppendFormat(@"<description>There have been ""glaring errors"" in dealing with complaints about migrants' ");
            fakeXml.AppendFormat(@"treatment, a report says.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/uk_politics/7093726.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/uk_politics/7093726.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 23:03:41 GMT</pubDate>  
      <category>Politics</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44237000/jpg/_44237594_plane_pa66.jpg""/> 
    </item>  ");
            fakeXml.AppendFormat(@"
    <item> 
      <title>Childminder jailed for killing baby</title>  
      <description>A ");
            fakeXml.AppendFormat(@"childminder is jailed for three years for killing an 11-month-old baby in her care by violently ");
            fakeXml.AppendFormat(@"shaking her.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/england/beds/bucks/herts/7092381.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/england/beds/bucks/herts/7092381.stm</guid>  
     ");
            fakeXml.AppendFormat(@" <pubDate>Tue, 13 Nov 2007 16:37:28 GMT</pubDate>  
      <category>Beds/Bucks/Herts</category>  
  ");
            fakeXml.AppendFormat(@"    <media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44236000/jpg/_44236283_maeve66.jpg""/> 
    </item>  
  ");
            fakeXml.AppendFormat(@"  <item> 
      <title>Smith denies 'blunder' on checks</title>  
      <description>The home ");
            fakeXml.AppendFormat(@"secretary rejects claims she made a ""blunder"" over illegal workers cleared for security ");
            fakeXml.AppendFormat(@"jobs.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/uk_politics/7091924.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/uk_politics/7091924.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 19:21:13 GMT</pubDate>  
      <category>Politics</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44236000/jpg/_44236715_smith66_pa.jpg""/> 
    </item>  ");
            fakeXml.AppendFormat(@"
    <item> 
      <title>Alcohol disease 'hits young hard'</title>  
      <description>Doctors ");
            fakeXml.AppendFormat(@"warn of rising rates of alcohol-related disease among young people, as campaigners call for higher ");
            fakeXml.AppendFormat(@"alcohol taxes.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/health/7092347.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/health/7092347.stm</guid>  
      <pubDate>Tue, 13 ");
            fakeXml.AppendFormat(@"Nov 2007 13:00:04 GMT</pubDate>  
      <category>Health</category>  
      <media:thumbnail ");
            fakeXml.AppendFormat(@"width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44235000/jpg/_44235893_drinking66.jpg""/> 
    </item>  ");
            fakeXml.AppendFormat(@"
    <item> 
      <title>Tourist cashed in on Diana crash</title>  
      <description>An American ");
            fakeXml.AppendFormat(@"tourist told how he and a friend made thousands of dollars from photographs they took of Princess ");
            fakeXml.AppendFormat(@"Diana's fatal car crash</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/uk/7092518.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/uk/7092518.stm</guid>  
      <pubDate>Tue, 13 Nov ");
            fakeXml.AppendFormat(@"2007 19:04:43 GMT</pubDate>  
      <category>UK</category>  
      <media:thumbnail width=""66"" ");
            fakeXml.AppendFormat(@"height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44236000/jpg/_44236334_diana_afpjnew66pg.jpg""/> 
    ");
            fakeXml.AppendFormat(@"</item>  
    <item> 
      <title>Bhutto calls on Musharraf to quit</title>  
      ");
            fakeXml.AppendFormat(@"<description>Pakistani opposition leader Benazir Bhutto demands that Gen Musharraf resign, amid a ");
            fakeXml.AppendFormat(@"stand-off with police.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/world/south_asia/7091930.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/world/south_asia/7091930.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 17:13:24 GMT</pubDate>  
      <category>South Asia</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44236000/jpg/_44236057_bhutto111107ap66i.jpg""/> 
    ");
            fakeXml.AppendFormat(@"</item>  
    <item> 
      <title>SNP to unveil first Scots budget</title>  
      ");
            fakeXml.AppendFormat(@"<description>Scottish Government prepares to outline its future spending plans to ");
            fakeXml.AppendFormat(@"parliament.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/scotland/7092529.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/scotland/7092529.stm</guid>  
      <pubDate>Tue, ");
            fakeXml.AppendFormat(@"13 Nov 2007 21:17:39 GMT</pubDate>  
      <category>Scotland</category>  
      <media:thumbnail ");
            fakeXml.AppendFormat(@"width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44237000/jpg/_44237074_alex66.jpg""/> 
    </item>  
   ");
            fakeXml.AppendFormat(@" <item> 
      <title>Five bodies found at house fire</title>  
      <description>Five bodies are ");
            fakeXml.AppendFormat(@"found in the debris of a house in County Tyrone which was destroyed in a fire.</description>  
     ");
            fakeXml.AppendFormat(@" <link>http://news.bbc.co.uk/go/rss/-/1/hi/northern_ireland/7092925.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/northern_ireland/7092925.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 19:04:21 GMT</pubDate>  
      <category>Northern Ireland</category>  
   ");
            fakeXml.AppendFormat(@"   <media:thumbnail width=""203"" height=""152"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44237000/jpg/_44237276_omaghfamily.jpg""/> 
    </item> ");
            fakeXml.AppendFormat(@" 
    <item> 
      <title>Petrol prices push up inflation</title>  
      <description>Rising food ");
            fakeXml.AppendFormat(@"and petrol prices pushed inflation up to 2.1% in October, figures show.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/business/7092144.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/business/7092144.stm</guid>  
      <pubDate>Tue, ");
            fakeXml.AppendFormat(@"13 Nov 2007 14:40:20 GMT</pubDate>  
      <category>Business</category>  
      <media:thumbnail ");
            fakeXml.AppendFormat(@"width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44235000/jpg/_44235924_petrolbbc66i.jpg""/> 
    ");
            fakeXml.AppendFormat(@"</item>  
    <item> 
      <title>Platini cool over England Cup bid</title>  
      ");
            fakeXml.AppendFormat(@"<description>Uefa chief Michel Platini tells the BBC he is not yet convinced that England deserve ");
            fakeXml.AppendFormat(@"to host the 2018 World Cup.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/sport1/hi/football/7093180.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/sport1/hi/football/7093180.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 17:37:30 GMT</pubDate>  
      <category>Football</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44125000/jpg/_44125023_platini66.jpg""/> 
    </item>  ");
            fakeXml.AppendFormat(@"
    <item> 
      <title>Football: Fans in landmark deal</title>  
      <description>Website ");
            fakeXml.AppendFormat(@"MyFootballClub agrees a deal to take control of Ebbsfleet United in a landmark move.</description>  ");
            fakeXml.AppendFormat(@"
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/sport1/hi/football/teams/g/gravesend_and_northfleet/7089473.stm<");
            fakeXml.AppendFormat(@"/link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/sport1/hi/football/teams/g/gravesend_and_northfleet/70894");
            fakeXml.AppendFormat(@"73.stm</guid>  
      <pubDate>Tue, 13 Nov 2007 09:36:04 GMT</pubDate>  
      <category>Ebbsfleet ");
            fakeXml.AppendFormat(@"United</category>  
      <media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/42967000/gif/_42967979_ebbsfleet_66x49.gif""/> 
    ");
            fakeXml.AppendFormat(@"</item>  
    <item> 
      <title>Soldiers killed in Cameroon raid</title>  
      ");
            fakeXml.AppendFormat(@"<description>More than 20 soldiers are killed in clashes in the oil-rich Bakassi peninsula near ");
            fakeXml.AppendFormat(@"Nigeria, say Cameroon army officials.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/world/africa/7092754.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/world/africa/7092754.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 14:59:26 GMT</pubDate>  
      <category>Africa</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/40034000/jpg/_40034292_bakassi66okbbc.jpg""/> 
    ");
            fakeXml.AppendFormat(@"</item>  
    <item> 
      <title>UN envoy praises changes in Burma</title>  
      ");
            fakeXml.AppendFormat(@"<description>The UN envoy to Burma says things have improved, but his visits did not produce all ");
            fakeXml.AppendFormat(@"the results he had hoped for.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/world/asia-pacific/7093716.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/world/asia-pacific/7093716.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 23:12:44 GMT</pubDate>  
      <category>Asia-Pacific</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44237000/jpg/_44237554_gambari66.jpg""/> 
    </item>  ");
            fakeXml.AppendFormat(@"
    <item> 
      <title>'Hidden costs raise' US war price</title>  
      <description>The cost ");
            fakeXml.AppendFormat(@"of the US military effort in Iraq and Afghanistan is almost double the official figure, a US report ");
            fakeXml.AppendFormat(@"says.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/world/americas/7092053.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/world/americas/7092053.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 18:31:50 GMT</pubDate>  
      <category>Americas</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44235000/jpg/_44235543_ustroops_afp66i.jpg""/> 
    ");
            fakeXml.AppendFormat(@"</item>  
    <item> 
      <title>French unions strike over reforms</title>  
      ");
            fakeXml.AppendFormat(@"<description>Transport workers and others begin major strikes against French President Nicolas ");
            fakeXml.AppendFormat(@"Sarkozy's pension reforms.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/world/europe/7093373.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/world/europe/7093373.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 22:44:02 GMT</pubDate>  
      <category>Europe</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44237000/jpg/_44237170_francestrikes_afp66x.jpg""/> 
   ");
            fakeXml.AppendFormat(@" </item>  
    <item> 
      <title>Fatah members rounded up in Gaza</title>  
      ");
            fakeXml.AppendFormat(@"<description>Hamas arrests scores of Fatah activists in Gaza, a day after a huge rally ended in ");
            fakeXml.AppendFormat(@"gunfire killing seven people.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/world/middle_east/7092365.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/world/middle_east/7092365.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 11:45:21 GMT</pubDate>  
      <category>Middle East</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44235000/jpg/_44235909_fatah66.jpg""/> 
    </item>  
  ");
            fakeXml.AppendFormat(@"  <item> 
      <title>Nato chided over Afghan detainees</title>  
      <description>Nato should ");
            fakeXml.AppendFormat(@"halt all transfers of prisoners to Afghan prisons because of the risk of torture, says Amnesty ");
            fakeXml.AppendFormat(@"International.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/world/south_asia/7091928.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/world/south_asia/7091928.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 17:24:31 GMT</pubDate>  
      <category>South Asia</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44235000/jpg/_44235280_troops_ap66i.jpg""/> 
    ");
            fakeXml.AppendFormat(@"</item>  
    <item> 
      <title>Final call for Waterloo Eurostar</title>  
      ");
            fakeXml.AppendFormat(@"<description>Eurostar trains stop operating out of Waterloo as services move to the newly revamped ");
            fakeXml.AppendFormat(@"£800m St Pancras.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/england/london/7092104.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/england/london/7092104.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 19:30:40 GMT</pubDate>  
      <category>London</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44237000/jpg/_44237297_train66.jpg""/> 
    </item>  
  ");
            fakeXml.AppendFormat(@"  <item> 
      <title>Playground shooter avoids prison</title>  
      <description>A farmer ");
            fakeXml.AppendFormat(@"admits he shot a five-year-old boy in the head at a school playground in April 2005.</description>  ");
            fakeXml.AppendFormat(@"
      <link>http://news.bbc.co.uk/go/rss/-/1/hi/northern_ireland/7092484.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/northern_ireland/7092484.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 12:11:26 GMT</pubDate>  
      <category>Northern Ireland</category>  
   ");
            fakeXml.AppendFormat(@"   <media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44236000/jpg/_44236668_shotboy6649.jpg""/> 
    </item> ");
            fakeXml.AppendFormat(@" 
    <item> 
      <title>Fraser begins wife murder appeal</title>  
      <description>Nat ");
            fakeXml.AppendFormat(@"Fraser, jailed for life for killing his wife Arlene, begins a legal appeal against ");
            fakeXml.AppendFormat(@"conviction.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/scotland/north_east/7091772.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/scotland/north_east/7091772.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 16:08:48 GMT</pubDate>  
      <category>North East/N Isles</category>  
 ");
            fakeXml.AppendFormat(@"     <media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44236000/jpg/_44236304_natfrasernew66.jpg""/> 
    ");
            fakeXml.AppendFormat(@"</item>  
    <item> 
      <title>Youth arrested after man's death</title>  
      <description>A ");
            fakeXml.AppendFormat(@"16-year-old boy is arrested on suspicion of murder after a man was found dead at a house in the ");
            fakeXml.AppendFormat(@"south Wales valleys.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/wales/7093474.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/wales/7093474.stm</guid>  
      <pubDate>Tue, 13 ");
            fakeXml.AppendFormat(@"Nov 2007 19:46:36 GMT</pubDate>  
      <category>Wales</category>  
      <media:thumbnail ");
            fakeXml.AppendFormat(@"width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44236000/jpg/_44236808_merthyrmurder66.jpg""/> 
    ");
            fakeXml.AppendFormat(@"</item>  
    <item> 
      <title>Yahoo settles its China lawsuit</title>  
      ");
            fakeXml.AppendFormat(@"<description>Yahoo agrees to settle a case brought against it by Chinese dissidents, according to ");
            fakeXml.AppendFormat(@"court papers.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/business/7093564.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/business/7093564.stm</guid>  
      <pubDate>Tue, ");
            fakeXml.AppendFormat(@"13 Nov 2007 20:22:33 GMT</pubDate>  
      <category>Business</category>  
      <media:thumbnail ");
            fakeXml.AppendFormat(@"width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44222000/jpg/_44222318_callahan_yang_66ap.jpg""/> 
    ");
            fakeXml.AppendFormat(@"</item>  
    <item> 
      <title>Tories offer votes on council tax</title>  
      ");
            fakeXml.AppendFormat(@"<description>Local authorities should hold referendums on ""high"" council tax rises, says ");
            fakeXml.AppendFormat(@"Conservative leader David Cameron.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/uk_politics/7091658.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/uk_politics/7091658.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 13:24:11 GMT</pubDate>  
      <category>Politics</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44235000/jpg/_44235957_cameron66_pa.jpg""/> 
    ");
            fakeXml.AppendFormat(@"</item>  
    <item> 
      <title>Wrong shoes danger for diabetics</title>  
      ");
            fakeXml.AppendFormat(@"<description>Most people with diabetes wear the wrong size of shoe - a mistake which could cost ");
            fakeXml.AppendFormat(@"them a leg, say experts.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/health/7092524.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/health/7092524.stm</guid>  
      <pubDate>Tue, 13 ");
            fakeXml.AppendFormat(@"Nov 2007 13:19:52 GMT</pubDate>  
      <category>Health</category>  
      <media:thumbnail ");
            fakeXml.AppendFormat(@"width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44236000/jpg/_44236037_shoes66.jpg""/> 
    </item>  
  ");
            fakeXml.AppendFormat(@"  <item> 
      <title>Tories warn on academy 'retreat'</title>  
      <description>The ");
            fakeXml.AppendFormat(@"Conservatives accuse the government of planning to backtrack on support for academy ");
            fakeXml.AppendFormat(@"schools.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/education/7092340.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/education/7092340.stm</guid>  
      <pubDate>Tue, ");
            fakeXml.AppendFormat(@"13 Nov 2007 11:35:07 GMT</pubDate>  
      <category>Education</category>  
      <media:thumbnail ");
            fakeXml.AppendFormat(@"width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44235000/jpg/_44235944_secondary66.jpg""/> 
    </item> ");
            fakeXml.AppendFormat(@" 
    <item> 
      <title>Europe's 'big bird' nears flight</title>  
      <description>Engineers ");
            fakeXml.AppendFormat(@"working on Europe's space station re-supply truck are aiming to have it ready for launch in ");
            fakeXml.AppendFormat(@"February.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/sci/tech/7093347.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/sci/tech/7093347.stm</guid>  
      <pubDate>Tue, ");
            fakeXml.AppendFormat(@"13 Nov 2007 18:40:43 GMT</pubDate>  
      <category>Science/Nature</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/42441000/jpg/_42441852_reignite_astrium_49.jpg""/> 
    ");
            fakeXml.AppendFormat(@"</item>  
    <item> 
      <title>West thanks fans for condolences</title>  
      ");
            fakeXml.AppendFormat(@"<description>Rap star Kanye West thanks fans for their ""kind words"" following the death of his ");
            fakeXml.AppendFormat(@"mother.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/entertainment/7092290.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/entertainment/7092290.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 11:37:09 GMT</pubDate>  
      <category>Entertainment</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44235000/jpg/_44235981_west1_66pa.jpg""/> 
    </item>  ");
            fakeXml.AppendFormat(@"
    <item> 
      <title>EU will investigate Google deal</title>  
      <description>EU ");
            fakeXml.AppendFormat(@"regulators launch an in-depth investigation into Google's takeover of DoubleClick.</description>  
 ");
            fakeXml.AppendFormat(@"     <link>http://news.bbc.co.uk/go/rss/-/1/hi/business/7093379.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/business/7093379.stm</guid>  
      <pubDate>Tue, ");
            fakeXml.AppendFormat(@"13 Nov 2007 19:00:57 GMT</pubDate>  
      <category>Business</category>  
      <media:thumbnail ");
            fakeXml.AppendFormat(@"width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/41825000/jpg/_41825436_google_getty66i.jpg""/> 
    ");
            fakeXml.AppendFormat(@"</item>  
    <item> 
      <title>Q&amp;A: Can we avoid more flooding?</title>  
      ");
            fakeXml.AppendFormat(@"<description>Professor Tom Coulthard, Department of Geography, University of Hull, U.K. answers ");
            fakeXml.AppendFormat(@"your questions on flood prevention.</description>  
      ");
            fakeXml.AppendFormat(@"<link>http://news.bbc.co.uk/go/rss/-/1/hi/talking_point/7093649.stm</link>  
      <guid ");
            fakeXml.AppendFormat(@"isPermaLink=""false"">http://news.bbc.co.uk/1/hi/talking_point/7093649.stm</guid>  
      ");
            fakeXml.AppendFormat(@"<pubDate>Tue, 13 Nov 2007 20:21:56 GMT</pubDate>  
      <category>Have Your Say</category>  
      ");
            fakeXml.AppendFormat(@"<media:thumbnail width=""66"" height=""49"" ");
            fakeXml.AppendFormat(@"url=""http://newsimg.bbc.co.uk/media/images/44237000/jpg/_44237404_body-flood-country-66.jpg""/> 
  ");
            fakeXml.AppendFormat(@"  </item> 
  </channel> 
</rss>
");
            return fakeXml.ToString();
        }
    }
}
 