﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace MockLinq
{
    public class RssProcessor
    {
        string m_Url = string.Empty;
        XDocument m_Feed = null;

        IFeedGetter m_FeedGetter = new FeedGetter();

        public IFeedGetter FeedGetter
        {
            get { return m_FeedGetter; }
            set { m_FeedGetter = value; }
        }
        
        public RssChannel GetRssChannel()
        {
            var feeds = from f in m_Feed.Elements("rss").Elements("channel").Take(1)
                               select new RssChannel
                               {
                                   Title = f.Element("title").Value,
                                   Url = m_Url
                               };

            return feeds.First();
        }

        public XDocument LoadFeed(string url)
        {
            m_Url = url;
            m_Feed = m_FeedGetter.GetXDocument(url);
            return m_Feed;
        }

        public RssItem GetRssItem(int itemPosition)
        {
            var feeds = from f in m_Feed.Elements("rss").Elements("channel").Elements("item").Skip(itemPosition - 1).Take(1)
                        select new RssItem
                        {
                            Title = f.Element("title").Value
                        };

            return feeds.First();
        }

        public List<RssItem> GetRssItems(int limit)
        {
            return GetRssItems().Take(limit).ToList();
        }

        public RssFeed GetFeed()
        {
            RssFeed newFeed = new RssFeed();
            newFeed.Channel = GetRssChannel();
            newFeed.Items = GetRssItems();
            return newFeed;
        }

        public List<RssItem> GetRssItems()
        {
            var feeds = from f in m_Feed.Elements("rss").Elements("channel").Elements("item")
                        select new RssItem
                        {
                            Title = f.Element("title").Value
                        };

            return feeds.ToList();
        }
    }
}
